Package org.opensaml.saml.saml2.core.impl

# Class ManageNameIDRequestImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.signature.AbstractSignableXMLObject
org.opensaml.saml.common.AbstractSignableSAMLObject
org.opensaml.saml.saml2.core.impl.RequestAbstractTypeImpl
org.opensaml.saml.saml2.core.impl.ManageNameIDRequestImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `SignableSAMLObject`, `ManageNameIDRequest`, `RequestAbstractType`, `SignableXMLObject`

public class ManageNameIDRequestImpl extends RequestAbstractTypeImpl implements ManageNameIDRequest
A concrete implementation of `ManageNameIDRequest`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private EncryptedID`
`encryptedID`
EncryptedID child element.
`private NameID`
`nameID`
NameID child element.
`private NewEncryptedID`
`newEncryptedID`
NameID child element.
`private NewID`
`newID`
NewID child element.
`private Terminate`
`terminate`
Terminate child element.

### Fields inherited from interface org.opensaml.saml.saml2.core.ManageNameIDRequest

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.saml.saml2.core.RequestAbstractType

`CONSENT_ATTRIB_NAME, DESTINATION_ATTRIB_NAME, EXPLICIT_CONSENT, ID_ATTRIB_NAME, IMPLICIT_CONSENT, INAPPLICABLE_CONSENT, ISSUE_INSTANT_ATTRIB_NAME, ISSUE_INSTANT_ATTRIB_QNAME, OBTAINED_CONSENT, PRIOR_CONSENT, TYPE_LOCAL_NAME, TYPE_NAME, UNAVAILABLE_CONSENT, UNSPECIFIED_CONSENT, VERSION_ATTRIB_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ManageNameIDRequestImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`EncryptedID`
`getEncryptedID()`
Get the EncryptedID of the request.
`NameID`
`getNameID()`
Get the NameID of the request.
`NewEncryptedID`
`getNewEncryptedID()`
Get the NewEncryptedID of the request.
`NewID`
`getNewID()`
Get the NewID of the request.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`Terminate`
`getTerminate()`
Get the Terminate of the request.
`void`
`setEncryptedID(EncryptedID newEncID)`
Set the EncryptedID of the request.
`void`
`setNameID(NameID newNameID)`
Set the NameID of the request.
`void`
`setNewEncryptedID(NewEncryptedID newNewEncryptedID)`
Set the NewEncryptedID of the request.
`void`
`setNewID(NewID newNewID)`
Set the NewID of the request.
`void`
`setTerminate(Terminate newTerminate)`
Set the Terminate of the request.

### Methods inherited from class org.opensaml.saml.saml2.core.impl.RequestAbstractTypeImpl

`getConsent, getDestination, getExtensions, getID, getIssueInstant, getIssuer, getSignatureReferenceID, getVersion, setConsent, setDestination, setExtensions, setID, setIssueInstant, setIssuer, setVersion`

### Methods inherited from class org.opensaml.saml.common.AbstractSignableSAMLObject

`equals, hashCode, setSignature`

### Methods inherited from class org.opensaml.xmlsec.signature.AbstractSignableXMLObject

`getSignature, isSigned`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.saml.saml2.core.RequestAbstractType

`getConsent, getDestination, getExtensions, getID, getIssueInstant, getIssuer, getVersion, setConsent, setDestination, setExtensions, setID, setIssueInstant, setIssuer, setVersion`

### Methods inherited from interface org.opensaml.saml.common.SignableSAMLObject

`getSignatureReferenceID`

### Methods inherited from interface org.opensaml.xmlsec.signature.SignableXMLObject

`getSignature, isSigned, setSignature`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### nameID

@Nullable private NameID nameID
NameID child element.

### encryptedID

@Nullable private EncryptedID encryptedID
EncryptedID child element.

### newID

@Nullable private NewID newID
NewID child element.

### newEncryptedID

@Nullable private NewEncryptedID newEncryptedID
NameID child element.

### terminate

@Nullable private Terminate terminate
Terminate child element.

## Constructor Details

### ManageNameIDRequestImpl

protected ManageNameIDRequestImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getNameID

@Nullable public NameID getNameID()
Get the NameID of the request.

Specified by:
  `getNameID` in interface `ManageNameIDRequest`
Returns:
  the NameID of the request

### setNameID

public void setNameID(@Nullable NameID newNameID)
Set the NameID of the request.

Specified by:
  `setNameID` in interface `ManageNameIDRequest`
Parameters:
  `newNameID` - the new NameID of the request

### getEncryptedID

@Nullable public EncryptedID getEncryptedID()
Get the EncryptedID of the request.

Specified by:
  `getEncryptedID` in interface `ManageNameIDRequest`
Returns:
  the EncryptedID of the request

### setEncryptedID

public void setEncryptedID(@Nullable EncryptedID newEncID)
Set the EncryptedID of the request.

Specified by:
  `setEncryptedID` in interface `ManageNameIDRequest`
Parameters:
  `newEncID` - the new EncryptedID of the request

### getNewID

@Nullable public NewID getNewID()
Get the NewID of the request.

Specified by:
  `getNewID` in interface `ManageNameIDRequest`
Returns:
  the NewID of the request

### setNewID

public void setNewID(@Nullable NewID newNewID)
Set the NewID of the request.

Specified by:
  `setNewID` in interface `ManageNameIDRequest`
Parameters:
  `newNewID` - the new NewID of the request

### getNewEncryptedID

@Nullable public NewEncryptedID getNewEncryptedID()
Get the NewEncryptedID of the request.

Specified by:
  `getNewEncryptedID` in interface `ManageNameIDRequest`
Returns:
  the NewEncryptedID of the request

### setNewEncryptedID

public void setNewEncryptedID(@Nullable NewEncryptedID newNewEncryptedID)
Set the NewEncryptedID of the request.

Specified by:
  `setNewEncryptedID` in interface `ManageNameIDRequest`
Parameters:
  `newNewEncryptedID` - the new NewEncryptedID of the request

### getTerminate

@Nullable public Terminate getTerminate()
Get the Terminate of the request.

Specified by:
  `getTerminate` in interface `ManageNameIDRequest`
Returns:
  the Terminate of the request

### setTerminate

public void setTerminate(@Nullable Terminate newTerminate)
Set the Terminate of the request.

Specified by:
  `setTerminate` in interface `ManageNameIDRequest`
Parameters:
  `newTerminate` - the new NewID Terminate of the request

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Overrides:
  `getOrderedChildren` in class `RequestAbstractTypeImpl`
Returns:
  ordered list of child elements